diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py
index b9d0e70c8..20093d1c7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-import json
 import uuid
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
@@ -19,18 +18,25 @@ from pgadmin.browser.server_groups.servers.databases.tests import utils as \
 from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
+from unittest.mock import patch
+from . import utils as check_constraint_utils
 
 
 class CheckConstraintAddTestCase(BaseTestGenerator):
     """This class will add check constraint to existing table"""
     skip_on_database = ['gpdb']
-    scenarios = [
-        ('Add check constraint to table',
-         dict(url='/browser/check_constraint/obj/'))
-    ]
+    url = '/browser/check_constraint/obj/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("check_constraint_create",
+                                         check_constraint_utils.test_cases)
 
     def setUp(self):
         super(CheckConstraintAddTestCase, self).setUp()
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -40,6 +46,7 @@ class CheckConstraintAddTestCase(BaseTestGenerator):
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a check "
                             "constraint.")
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -48,6 +55,8 @@ class CheckConstraintAddTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to add a check "
                             "constraint.")
+
+        # Create table
         self.table_name = "table_checkconstraint_add_%s" % \
                           (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server,
@@ -57,19 +66,37 @@ class CheckConstraintAddTestCase(BaseTestGenerator):
 
     def runTest(self):
         """This function will add check constraint to table."""
-        check_constraint_name = "test_checkconstraint_add_%s" % \
-                                (str(uuid.uuid4())[1:8])
-        data = {"name": check_constraint_name,
-                "consrc": " (id > 0)",
-                "convalidated": True,
-                "comment": "this is test comment"}
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.schema_id) + '/' + str(self.table_id) + '/',
-            data=json.dumps(data),
-            content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        if "name" in self.data:
+            check_constraint_name = \
+                self.data["name"] + (str(uuid.uuid4())[1:8])
+            self.data["name"] = check_constraint_name
+
+        if self.is_positive_test:
+            response = check_constraint_utils.api_create(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+            # Verify in backend
+            cross_check_res = check_constraint_utils. \
+                verify_check_constraint(self.server, self.db_name,
+                                        self.data["name"])
+            self.assertIsNotNone(cross_check_res, "Could not find the newly"
+                                                  " created check constraint.")
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = check_constraint_utils.api_create(self)
+                    # Assert response
+                    utils.assert_status_code(self, response)
+                    utils.assert_error_message(self, response)
+            else:
+                if 'table_id' in self.data:
+                    self.table_id = self.data['table_id']
+                response = check_constraint_utils.api_create(self)
+                # Assert response
+                utils.assert_status_code(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py
index 90cedf5d1..d99bdbacb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py
@@ -8,6 +8,7 @@
 ##########################################################################
 
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -18,19 +19,24 @@ from pgadmin.browser.server_groups.servers.databases.tests import utils as \
 from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
-from . import utils as chk_constraint_utils
+from . import utils as check_constraint_utils
 
 
 class CheckConstraintDeleteTestCase(BaseTestGenerator):
     """This class will delete check constraint to existing table"""
     skip_on_database = ['gpdb']
-    scenarios = [
-        ('Delete check constraint to table',
-         dict(url='/browser/check_constraint/obj/'))
-    ]
+    url = '/browser/check_constraint/obj/'
+
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios("check_constraint_delete",
+                                         check_constraint_utils.test_cases)
 
     def setUp(self):
         super(CheckConstraintDeleteTestCase, self).setUp()
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -40,6 +46,8 @@ class CheckConstraintDeleteTestCase(BaseTestGenerator):
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to delete a check "
                             "constraint.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -48,34 +56,75 @@ class CheckConstraintDeleteTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to delete a check "
                             "constraint.")
+
+        # Create table
         self.table_name = "table_checkconstraint_delete_%s" % \
                           (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server,
                                                   self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
+
+        # Create constraint to delete
         self.check_constraint_name = "test_checkconstraint_delete_%s" % \
                                      (str(uuid.uuid4())[1:8])
         self.check_constraint_id = \
-            chk_constraint_utils.create_check_constraint(
+            check_constraint_utils.create_check_constraint(
                 self.server, self.db_name, self.schema_name, self.table_name,
                 self.check_constraint_name)
 
-    def runTest(self):
-        """This function will delete check constraint to table."""
-        chk_constraint = chk_constraint_utils.verify_check_constraint(
+        # Cross check constraint creation
+        chk_constraint = check_constraint_utils.verify_check_constraint(
             self.server, self.db_name, self.check_constraint_name)
         if not chk_constraint:
             raise Exception("Could not find the check constraint to delete.")
-        response = self.tester.delete(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.table_id,
-                                                self.check_constraint_id),
-            follow_redirects=True
-        )
-        self.assertEquals(response.status_code, 200)
+
+        # In case of multiple constraints
+        if self.is_list:
+            # Create constraint to delete
+            self.check_constraint_name_2 = \
+                "test_checkconstraint_get_list_%s" % (str(uuid.uuid4())[1:8])
+            self.check_constraint_id_2 = \
+                check_constraint_utils.create_check_constraint(
+                    self.server, self.db_name, self.schema_name,
+                    self.table_name,
+                    self.check_constraint_name_2)
+
+            # constraint list to delete
+            self.data['ids'] = [self.check_constraint_id,
+                                self.check_constraint_id_2]
+
+    def runTest(self):
+        """This function will delete check constraint to table."""
+        if self.is_positive_test:
+
+            if self.is_list:
+                response = check_constraint_utils.api_delete(self, '')
+            else:
+                response = check_constraint_utils.api_delete(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+            # Verify in backend
+            cross_check_res = check_constraint_utils.verify_check_constraint(
+                self.server,
+                self.db_name,
+                self.check_constraint_name)
+            self.assertIsNone(cross_check_res,
+                              "Deleted constraint still present")
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = check_constraint_utils.api_delete(self)
+            elif 'check_constraint_id' in self.data:
+                self.check_constraint_id = self.data["check_constraint_id"]
+                response = check_constraint_utils.api_delete(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_dependencies_dependents.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_dependencies_dependents.py
new file mode 100644
index 000000000..f50acfa80
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_dependencies_dependents.py
@@ -0,0 +1,93 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as check_constraint_utils
+
+
+class CheckConstraintGetDependenciesDependentsTestCase(BaseTestGenerator):
+    """This class will fetch dependents/ dependencies for check constraint to
+    existing table """
+    skip_on_database = ['gpdb']
+    url = '/browser/check_constraint/'
+
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios(
+        "check_constraint_dependencies_dependents",
+        check_constraint_utils.test_cases)
+
+    def setUp(self):
+        super(CheckConstraintGetDependenciesDependentsTestCase, self).setUp()
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to fetch a check "
+                            "constraint.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to fetch a check "
+                            "constraint.")
+
+        # Create table
+        self.table_name = "table_checkconstraint_get_%s" % \
+                          (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server,
+                                                  self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create constraint to fetch dependents/dependency
+        self.check_constraint_name = "test_checkconstraint_get_%s" % \
+                                     (str(uuid.uuid4())[1:8])
+        self.check_constraint_id = \
+            check_constraint_utils.create_check_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.check_constraint_name)
+
+    def runTest(self):
+        """This function will fetch dependents/ dependencies for check
+            constraint to existing table """
+        if self.is_positive_test:
+            if self.is_dependent:
+                self.url = self.url + 'dependent/'
+                response = check_constraint_utils.api_get(self)
+            else:
+                self.url = self.url + 'dependency/'
+                response = check_constraint_utils.api_get(self)
+
+            utils.assert_status_code(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py
index a2c6721bb..9ef4e086e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py
@@ -8,6 +8,7 @@
 ##########################################################################
 
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -18,20 +19,24 @@ from pgadmin.browser.server_groups.servers.databases.tests import utils as \
 from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
-from . import utils as chk_constraint_utils
+from . import utils as check_constraint_utils
 
 
 class CheckConstraintGetTestCase(BaseTestGenerator):
     """This class will fetch check constraint to existing table"""
     skip_on_database = ['gpdb']
+    url = '/browser/check_constraint/obj/'
 
-    scenarios = [
-        ('Fetch check constraint to table',
-         dict(url='/browser/check_constraint/obj/'))
-    ]
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios("check_constraint_get",
+                                         check_constraint_utils.test_cases)
 
     def setUp(self):
         super(CheckConstraintGetTestCase, self).setUp()
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -41,6 +46,8 @@ class CheckConstraintGetTestCase(BaseTestGenerator):
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to fetch a check "
                             "constraint.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -49,30 +56,57 @@ class CheckConstraintGetTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to fetch a check "
                             "constraint.")
+
+        # Create table
         self.table_name = "table_checkconstraint_get_%s" % \
                           (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server,
                                                   self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
+
+        # Create constraint to fetch
         self.check_constraint_name = "test_checkconstraint_get_%s" % \
                                      (str(uuid.uuid4())[1:8])
         self.check_constraint_id = \
-            chk_constraint_utils.create_check_constraint(
+            check_constraint_utils.create_check_constraint(
                 self.server, self.db_name, self.schema_name, self.table_name,
                 self.check_constraint_name)
 
+        # In case of multiple constraints
+        if self.is_list:
+            self.check_constraint_name_2 = "test_checkconstraint_get_list_%s" \
+                                           % (str(uuid.uuid4())[1:8])
+            self.check_constraint_id_2 = \
+                check_constraint_utils.create_check_constraint(
+                    self.server, self.db_name, self.schema_name,
+                    self.table_name,
+                    self.check_constraint_name_2)
+
     def runTest(self):
         """This function will fetch check constraint to table."""
-        response = self.tester.get(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.table_id,
-                                                self.check_constraint_id),
-            follow_redirects=True
-        )
-        self.assertEquals(response.status_code, 200)
+        if self.is_positive_test:
+            if self.is_list:
+                response = check_constraint_utils.api_get(self, '')
+            else:
+                response = check_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = check_constraint_utils.api_get(self)
+            else:
+                if 'check_constraint_id' in self.data:
+                    # Non-existing constraint id
+                    self.check_constraint_id = self.data["check_constraint_id"]
+                    response = check_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get_nodes.py
new file mode 100644
index 000000000..8820cc424
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get_nodes.py
@@ -0,0 +1,106 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as check_constraint_utils
+
+
+class CheckConstraintGetNodesTestCase(BaseTestGenerator):
+    """This class will fetch nodes check constraint of table."""
+    skip_on_database = ['gpdb']
+    url = '/browser/check_constraint/nodes/'
+
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios("check_constraint_get_nodes",
+                                         check_constraint_utils.test_cases)
+
+    def setUp(self):
+        super(CheckConstraintGetNodesTestCase, self).setUp()
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to fetch a check "
+                            "constraint.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to fetch a check "
+                            "constraint.")
+
+        # Create table
+        self.table_name = "table_checkconstraint_get_%s" % \
+                          (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server,
+                                                  self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create constraint
+        if 'query' in self.inventory_data:
+            query = self.inventory_data['query']
+        else:
+            query = None
+        self.check_constraint_name = "test_checkconstraint_get_%s" % \
+                                     (str(uuid.uuid4())[1:8])
+        self.check_constraint_id = \
+            check_constraint_utils.create_check_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.check_constraint_name, query)
+
+    def runTest(self):
+        """This function will fetch nodes check constraint of table."""
+        if self.is_positive_test:
+            if self.is_list:
+                response = check_constraint_utils.api_get(self, '')
+            else:
+                response = check_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = check_constraint_utils.api_get(self)
+            elif 'check_constraint_id' in self.data:
+                # Non-existing constraint id
+                self.check_constraint_id = self.data["check_constraint_id"]
+                response = check_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
